Bug 476528 - Review Request: python-ZConfig - Structured Configuration Library
Review Request: python-ZConfig - Structured Configuration Library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On: 476524
Blocks: 476600
  Show dependency treegraph
 
Reported: 2008-12-15 07:47 EST by Conrad Meyer
Modified: 2009-06-18 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 12:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-12-15 07:47:48 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/python-ZConfig.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/python-ZConfig-2.6.1-1.fc9.src.rpm
Description:
ZConfig is a configuration library intended for general use. It supports
a hierarchical schema-driven configuration model that allows a schema to
specify data conversion routines written in Python. ZConfig's model is
very different from the model supported by the ConfigParser module found
in Python's standard library, and is more suitable to
configuration-intensive applications.
Comment 1 Fabian Affolter 2009-04-22 18:26:03 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture.
     Tested on: F10/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop24 SRPMS]$ rpmlint python-ZConfig-2.6.1-1.fc9.src.rpm
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop24 noarch]$ rpmlint python-ZConfig-2.6.1-1.fc10.noarch.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: ZPLv2.1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     Upstream source: 9fcf43f4fe3432d49baa59f65b5d3b2c
     Build source:    9fcf43f4fe3432d49baa59f65b5d3b2c
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [?] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] -debuginfo subpackage is present and looks complete.
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install.
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F10/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1315686
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

It seems that the package works without 'python-zope-testing' with is commented out at the moment. OK, I only did a 30 seconds test.  I guess that if 'python-zope-testing' is really needed it should end up as a requirement. 

Beside that I see no further blocker, package APPROVED
Comment 2 Conrad Meyer 2009-04-23 02:34:13 EDT
It needs python-zope-testing to run the tests, but because that hasn't been approved yet I had disabled them. I will enable them once python-zope-testing is included in Fedora.

Thanks!

New Package CVS Request
=======================
Package Name: python-ZConfig
Short Description: Structured Configuration Library
Owners: konradm
Branches: F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-04-23 12:22:50 EDT
cvs done.
Comment 4 Conrad Meyer 2009-06-18 12:45:47 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=106948

Built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.